Skala
Stock transfer items

Replace a stock transfer item

Completely replaces the data of an existing stock transfer item with the provided payload.

PUT
/api/stock_transfer_items/{id}

Completely replaces the data of an existing stock transfer item with the provided payload.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

StockTransferItem identifier

Request Body

application/json

The updated StockTransferItem resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://api.skalasuite.com/api/stock_transfer_items/string" \  -H "Content-Type: application/json" \  -d '{    "stock": "/entity/1",    "stockVariant": "/entity/1",    "quantity": "string"  }'
{
  "id": 0,
  "transfer": "/entity/1",
  "stock": "/entity/1",
  "stockVariant": "/entity/1",
  "quantity": "string",
  "unitCost": "string",
  "totalCost": "string",
  "availableInOrigin": "string",
  "company": "/entity/1",
  "createdBy": "/entity/1",
  "updatedBy": "/entity/1",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "deletedAt": "2019-08-24T14:15:22Z"
}
Empty
Empty
Empty